## com.vividsolutions.jts.operation.overlay.validate
Class OffsetPointGenerator

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.validate.OffsetPointGenerator

public class OffsetPointGenerator
extends java.lang.Object

Generates points offset by a given distance from both sides of the midpoint of all segments in a `Geometry`. Can be used to generate probe points for determining whether a polygonal overlay result is incorrect.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`OffsetPointGenerator(Geometry g, double offsetDistance)`

Method Summary
`java.util.List` `getPoints()` Gets the computed offset points.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffsetPointGenerator

    public OffsetPointGenerator(Geometry g,
                                double offsetDistance)

Method Detail

### getPoints

    public java.util.List getPoints()

  Gets the computed offset points.

  Returns:
    List<Coordinate>